Subject: Re: How mantainers check Git diffs and patches?

From: Henrique Soares <[email-masked]>
Date: Wed, 1 Oct 2025 23:51:58 -0300

On Wed, Oct 01, 2025 at 09:41:46AM -0700, Junio C Hamano wrote:
> Patches are medium for reliable transmission.  Once you apply the
> patch to your tree (perhaps giving it its own topic branch, perhaps
> to a detached HEAD with the full intention that you will discard it
> after you are done inspecting the change the patch brings in), you
> can use any regular tools you use while developing and reviewing
> your own code.

It makes totally sense. So I suppose you avoid to review the code just
checking the e-mail patch in e-mail client, but first applying locally
and then check it in your code editor in a separate branch, worktree or
whatever, then back to e-mail thread and comment the code, right?

-- Henrique